# SimEvolEnzCons version 2.0.0 (2021-10-28)
* new features about regulation groups
* add new functions
  - class_group: classifies enzymes in regulation groups
  - search_group: gives the group number of an interest enzyme
  - group_types: gives the types of all regulation groups
  - predict_grp: computes equilibria for different regulation groups
  - apparent.activities.Aq: computes the apparent pseudo-activities for the regulation groups
  - extract.tabEtot: creates table of all concentration from simulation results
  - graph.simul.group: graphics of enzyme concentrations through time for regulation groups
  - graph.simul.conc.end: graphics of enzyme concentrations two-by-two at end of simulations
* modify existing functions
  - compute.beta.from.B: computes regulation matrix beta taking account of the list of regulation groups
  - graph.simul.others.by.sim: add possibility of envelope curve for graphics between flux and absolute/relative concentration
  - simul.evol.graph.methods (4 first functions): add equilibrium when there are regulation groups
  - simul.evol.enz.one: does not compute anymore the equilibrium when there are regulation groups
* add data
  - 2 new datasets that present different cases with regulation groups
* package presentation
  - new section about regulation groups


----

# SimEvolEnzCons version 1.0.3 (2021-06-23)
* fixed bug which prevents to plot the response coefficients in simul.graph.time.by.enz

----

# SimEvolEnzCons version 1.0.2 (2021-05-31)
* replace \dontrun by \donttest in examples
* export function RNV.compute.elements() (but please rather use RNV.for.simul())
* change condition in graph.simul.triangle.diagram.e to check if eq_th_select is a matrix or a numeric
* graph.simul.triangle.diagram.e returns "why_no_lines" which explain why options not passed, rather than printed them in the console
* no code line under comments in examples
* save user options for par() when needed (in RNV.mean.simul(), RNV.graph.double.at.eq()) or put away (in graph.simul. functions)
* use message() rather print() to show current simulations in simul.evol.enz.multiple()

---

# SimEvolEnzCons version 1.0.1 (2021-05-14)
* add ORCID
* some examples with \dontrun
* Changed 'NEWS' to `NEWS.md` file to track changes to the package.

----


# SimEvolEnzCons 1.0.0 (2021-05-13)

* First submission to CRAN

----

# Changes in SimEvolEnzCons version 0.2.1 (2021-04-15)
* minor corrections
  - in simul.evol.enz.one: modification of the predicted equilibrium in simulation when there is some regulation groups (sum(1/B)>1), due to the effective equilibrium not computable in this case

# Changes in SimEvolEnzCons version 0.2.1 (2021-03-26)

* minor adaptation to case regulation plus independence
  - in is.B.accurate: check if sum(1/B) is an integer (normally equal to the number of regulation groups), and not just equal to 1
  - in flux.shape.from.one.point: add the choice to compute Ejm from alpha computation because computing from tau has no sense when there is regulated and independent enzymes
  - in flux.shape.from.one.point: indication of regulation presence to avoid the tau computing
  
* add the graphics of flux in relation to relative concentration in graph.simul.other.by.sim
  
* bug corrections
  - correction of equilibrium computing in flux.shape.for.all.points
  
---- 

# Changes in SimEvolEnzCons version 0.1.4 (2020-12-28)

* possibility to change symbol and line sizes in RNV.mean.simul
* symbol modifications in the third graphics of RNV.mean.simul (relative concentration = triangle, RNV mean by simul = point, RNV mean = square)
* possibility to change symbol sizes in graph.simul.triangle.diagram

# Changes in SimEvolEnzCons version 0.1.4 (2020-12-16)

* possibility to put the graphics legend and choose its position in flux.shape.from.one.point.graphics


# Changes in SimEvolEnzCons version 0.1.4 (2020-11-18)

* possibility to put the graphics legend and choose its position in flux.dome.graphics


# Changes in SimEvolEnzCons version 0.1.4 (2020-11-17)

* possibility to choose the color of contour lines


# Changes in SimEvolEnzCons version 0.1.4 (2020-11-16)

* modification of datasets (E0 are chosen manually rather than randomly)


# Changes in SimEvolEnzCons version 0.1.4 (2020-11-16)

* possibility to choice the color palette for contour lines in flux.dome.projections
* possibility to plot RNV divided by Ei in RNV.size.at.equilibr

----

# Changes in SimEvolEnzCons version 0.1.3 (2020-11-06)

* possibility to add enzyme names on plots generated by RNV.size.at.equilibr and RNV.graph.double.at.eq

----

# Changes in SimEvolEnzCons version 0.1.2 (2020-10-14)

* syntaxic and orthographic corrections of documentation

----

# Changes in SimEvolEnzCons version 0.1.1 (2020-07-11)

* add functions for RNV

----

# Changes in SimEvolEnzCons version 0.0.0 (2020-05-11)

* first version of package SimEvolEnzCons
